Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710990 - app-emulation/vice-3.4_p37498 : fails to build with -fno-common or gcc-10
Summary: app-emulation/vice-3.4_p37498 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-27 19:47 UTC by Toralf Förster
Modified: 2020-04-05 22:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.20 KB, text/plain)
2020-02-27 19:47 UTC, Toralf Förster
Details
app-emulation:vice-3.4_p37498:20200227-190921.log.bz2 (app-emulation:vice-3.4_p37498:20200227-190921.log.bz2,35.50 KB, application/x-bzip)
2020-02-27 19:47 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,98.88 KB, text/plain)
2020-02-27 19:47 UTC, Toralf Förster
Details
environment (environment,69.24 KB, text/plain)
2020-02-27 19:47 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.61 KB, application/x-bzip)
2020-02-27 19:47 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,61.12 KB, application/x-bzip)
2020-02-27 19:47 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,90.25 KB, application/x-bzip)
2020-02-27 19:47 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-27 19:47:18 UTC
x86_64-pc-linux-gnu-g++ -std=c++11 -Wall -Wformat -Wformat-signedness -Wshadow -Wpointer-arith -Wstrict-prototypes -Wuninitialized -Wunreachable-code -Wno-unused-parameter -Werror=implicit-function-declaration -Wfatal-errors -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gio-unix-2.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -pthread  -O2 -pipe -march=native -fno-common -falign-functions=32:25:16  -Wl,-O1 -Wl,--as-needed -o vsid alarm.o attach.o autostart.o autostart-prg.o cbmdos.o cbmimage.o charset.o clipboard.o clkguard.o cmdline.o color.o crc32.o datasette.o debug.o dma.o embedded.o event.o findpath.o fliplist.o gcr.o info.o init.o initcmdline.o interrupt.o ioutil.o kbdbuf.o keyboard.o lib.o libm_math.o log.o machine-bus.o machine.o main.o network.o opencbmlib.o palette.o ram.o rawfile.o rawnet.o resources.o romset.o screenshot.o snapshot.o socket.o sound.o sysfile.o traps.o util.o vicefeatures.o vsync.o zfile.o zipcode.o midi.o ../src/arch/shared/libarchdep.a ../src/c64/libvsid.a ../src/sid/libsid.a ../src/monitor/libmonitor.a ../src/sounddrv/libsounddrv.a ../src/mididrv/libmididrv.a ../src/socketdrv/libsocketdrv.a ../src/hwsiddrv/libhwsiddrv.a ../src/iodrv/libiodrv.a ../src/serial/libserial.a ../src/core/libcore.a ../src/viciivsid/libviciivsid.a ../src/raster/libraster.a ../src/video/libvideo.a ../src/arch/gtk3/libarch.a ../src/arch/gtk3/widgets/libwidgets.a ../src/arch/gtk3/widgets/base/libbasewidgets.a ../src/arch/gtk3/novte/libnovte.a   ../src/resid/libresid.a  ../src/joyport/libjoyport.a ../src/hvsc/libhvsc.a -lasound   -ljpeg -lgif -lpng  -lz -ldl ../src/arch/gtk3/libarch.a ../src/arch/gtk3/widgets/libwidgets.a ../src/arch/gtk3/widgets/base/libbasewidgets.a ../src/arch/gtk3/novte/libnovte.a ../src/arch/shared/libarchdep.a  -lbsd -lnsl  -lreadline  -lbsd -lFLAC -lvorbisenc -lvorbisfile -lvorbis -logg -lm -ldl -lGLEW -lGL  -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0  -lglib-2.0  -lfontconfig -lvorbisfile -logg -lvorbis -lvorbisenc -lFLAC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../src/arch/gtk3/libarch.a(uimedia.o):(.bss+0x0): multiple definition of `carthelpers_can_flush_func'; ../src/arch/gtk3/libarch.a(uicart.o):(.bss+0x8): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../src/arch/gtk3/libarch.a(uimedia.o):(.bss+0x8): multiple definition of `carthelpers_can_save_func'; ../src/arch/gtk3/libarch.a(uicart.o):(.bss+0x10): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-libressl-20200225-111518

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 27 Feb 2020 18:41:16 +0000

emerge -qpvO app-emulation/vice
[ebuild  N    ] app-emulation/vice-3.4_p37498  USE="alsa flac gif gtk headless ipv6 jpeg ogg opengl png sdl zlib -debug -doc -ethernet -ffmpeg -lame -libav -mpg123 -oss -parport -pci -portaudio -pulseaudio"
Comment 1 Toralf Förster gentoo-dev 2020-02-27 19:47:20 UTC
Created attachment 616382 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-27 19:47:23 UTC
Created attachment 616384 [details]
app-emulation:vice-3.4_p37498:20200227-190921.log.bz2
Comment 3 Toralf Förster gentoo-dev 2020-02-27 19:47:26 UTC
Created attachment 616386 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-02-27 19:47:28 UTC
Created attachment 616388 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-02-27 19:47:31 UTC
Created attachment 616390 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-27 19:47:34 UTC
Created attachment 616392 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-27 19:47:36 UTC
Created attachment 616394 [details]
temp.tbz2
Comment 9 James Le Cuirot gentoo-dev 2020-03-01 00:27:08 UTC
(In reply to groepaz from comment #8)
> try this:
> https://sourceforge.net/p/vice-emu/code/37520/tree//trunk/vice/src/arch/gtk3/
> widgets/base/carthelpers.h?diff=51af4689e88f3d01589f7c22:37519

Thanks for jumping on this so quickly. I think that helped but it now trips up elsewhere.

/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../src/c64/cart/libc64cart.a(cpmcart.o):(.bss+0x0): multiple definition of `z80_regs'; ../src/c128/libc128.a(z80.o):(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../src/rs232drv/librs232drv.a(rs232.o):(.bss+0x0): multiple definition of `rs232_useip232'; ../src/rs232drv/librs232drv.a(rs232drv.o):(.bss+0x20): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../src/rs232drv/librs232drv.a(rs232net.o):(.bss+0x0): multiple definition of `rs232_useip232'; ../src/rs232drv/librs232drv.a(rs232drv.o):(.bss+0x20): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../src/arch/shared/libarchdep.a(rs232dev.o):(.bss+0x0): multiple definition of `rs232_useip232'; ../src/rs232drv/librs232drv.a(rs232drv.o):(.bss+0x20): first defined here
Comment 10 James Le Cuirot gentoo-dev 2020-03-03 23:06:03 UTC
I've figured out the rs232_useip232 ones. Just the z80_regs one to go.
Comment 11 Larry the Git Cow gentoo-dev 2020-04-05 22:05:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64eba6176be0318351a64c50fa588d957948bf13

commit 64eba6176be0318351a64c50fa588d957948bf13
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2020-04-05 21:46:14 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2020-04-05 22:04:55 +0000

    app-emulation/vice: Bump 3.4 to rev 37605, add SDL2 pkg-config patch
    
    This includes GCC 10 fixes.
    
    Closes: https://bugs.gentoo.org/710990
    Package-Manager: Portage-2.3.96, Repoman-2.3.20
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 app-emulation/vice/Manifest                    |   1 +
 app-emulation/vice/files/vice-pkg-config.patch |  29 ++++
 app-emulation/vice/vice-3.4_p37605.ebuild      | 179 +++++++++++++++++++++++++
 3 files changed, 209 insertions(+)